Public Member Functions | List of all members
clan::DepthStencilStateDescription Class Reference
clanDisplay Display

DepthStencil state description. More...

`#include <depth_stencil_state_description.h>`

## Public Member Functions
bool | operator< (const DepthStencilStateDescription &other) const
bool | operator== (const DepthStencilStateDescription &other) const
Construction
| DepthStencilStateDescription ()
DepthStencilStateDescription | clone () const
Attributes
bool | is_stencil_test_enabled () const
void | get_stencil_compare_front (CompareFunction &out_front, int &out_front_ref, int &out_front_mask) const
void | get_stencil_compare_back (CompareFunction &out_back, int &out_back_ref, int &out_back_mask) const
void | get_stencil_write_mask (unsigned char &out_front_facing_mask, unsigned char &out_back_facing_mask) const
void | get_stencil_op_front (StencilOp &out_fail_front, StencilOp &out_pass_depth_fail_front, StencilOp &out_pass_depth_pass_front) const
void | get_stencil_op_back (StencilOp &out_fail_back, StencilOp &out_pass_depth_fail_back, StencilOp &out_pass_depth_pass_back) const
bool | is_depth_test_enabled () const
bool | is_depth_write_enabled () const
CompareFunction | get_depth_compare_function () const
Operations
void | enable_stencil_test (bool enabled)
| Enables/disables stencil testing. More...
void | set_stencil_compare_front (CompareFunction front, int front_ref, int front_mask)
| Set stencil compare function. More...
void | set_stencil_compare_back (CompareFunction back, int back_ref, int back_mask)
| Set stencil compare function. More...
void | set_stencil_write_mask (unsigned char front_facing_mask, unsigned char back_facing_mask)
| Set stencil write masks. More...
void | set_stencil_op_front (StencilOp fail_front, StencilOp pass_depth_fail_front, StencilOp pass_depth_pass_front)
| Set stencil operations. More...
void | set_stencil_op_back (StencilOp fail_back, StencilOp pass_depth_fail_back, StencilOp pass_depth_pass_back)
| Set stencil operations. More...
void | enable_depth_test (bool enabled)
| Enables/disables depth testing. More...
void | enable_depth_write (bool enabled)
| Enables/disables depth writing. More...
void | set_depth_compare_function (CompareFunction func)
| Set depth test function. More...

## Detailed Description

DepthStencil state description.

The documentation for this class was generated from the following file:

- depth_stencil_state_description.h